#!/usr/bin/python

import os
import re

def findIssueFiles(startDir):
   for currentDir, dirs, filenames in os.walk(startDir):
      for filename in filenames:
         if re.search(r'^.*\.issue$', filename, re.M):

            filenamePrefix = filename.split(".")[0]
            filenameSegments = filenamePrefix.split("_")
            volume = filenameSegments[1]
            issue = filenameSegments[2]
            
            #Read the issue file
            i = open(os.path.join(currentDir, filename))
            lines = i.readlines()
            i.close()

            #Create a new item file
            o = open(os.path.join(currentDir, filename.replace("issue", "item")), "w")

            if len(volume) > 0:
               o.write("<Volume>" + volume + "\n")
            if len(issue) > 0:
               o.write("<Issue>" + issue + "\n")

            count = 0
            for line in lines:
               if line.startswith("<"):
                  o.write(line)
               else:
                  count += 1
                  line = line.rstrip()
				  nameSegments = line.split("_")
                  o.write(nameSegments[len(nameSegments)-1] + ":images/" + line + ".gif:text/" + line + ".txt\n")
            o.close()


findIssueFiles('.')
